body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    transition: margin-left 0.3s ease;
}



main {
    padding: 3em 2em;
}

h1 {
    margin-bottom: 1em;
    color: #444;
    font-size: 2.5em;
    font-weight: 600;
    text-align: center;
}


.project-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.project-item {
    width: calc(33.333% - 20px);
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    padding: 20px;
}

.project-item:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.project-item img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 8px 8px 0 0;
    margin-bottom: 1em;
}

.project-item h2 {
    margin: 0.5em 0;
    font-size: 1.2em;
    color: #333;
}

.project-item button {
    background-color: #9b9b9b;;
    color: #fff;
    border: none;
    padding: 0.5em 1em;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.project-item button a{
    text-decoration: none;
    color: #fff;
}

.project-item button:hover {
    background-color: #d32f2f;
}

footer {
    background-color: #343a40;
    color: #f8f9fa;
    padding: 3em 2em;
    border-top: 1px solid #495057;
}

.footer-content {
    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
}

.footer-title {
    font-size: 1.5em;
    margin-bottom: 1em;
}

.footer-sections {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
}

.company-info {
    flex: 1;
    text-align: left;
    margin-right: 1em;
}

.company-info p {
    margin: 0.5em 0;
}

.company-info a {
    color: #17a2b8;
    text-decoration: none;
}

.company-info a:hover {
    text-decoration: underline;
}

.map-container {
    flex: 1;
    text-align: right;
}

.map-container iframe {
    max-width: 100%;
    height: 300px;
    border: none;
    border-radius: 8px;
}

@media (max-width: 768px) {


    .project-item {
        width: 100%;
        margin-bottom: 1em;
    }

    .project-item {
        flex-direction: column;
    }
    .project-list {
        display: flex;
        flex-direction: column; /* Xếp các dự án theo hàng dọc */
    }
    .footer-content {
        flex-direction: column;
        text-align: center;
    }

    .footer-sections {
        flex-direction: column;
    }

    .map-container iframe {
        width: 100%;
        height: 200px; /* Thu nhỏ kích thước của bản đồ */
    }
}